<nav id="sidebar" class="sidebar">
    <div class="sidebar-content">
        <ng-container>
            <div class="sidebar-header text-white d-flex justify-content-between">
                <span class="text-left" [routerLink]="['home']" style="font-size: 1.3rem;"
                    *ngIf="sistema === 'PMS'">SiH<b>hotel</b></span>
                <span class="text-left" [routerLink]="['home']" style="font-size: 1.3rem;"
                    *ngIf="sistema === 'POS'">SiH<b>POS</b></span>
                <span style="margin-top: -5px; float: right;">
                    <button type="button" class="btn btn-outline-dark" (click)="sidebarCollapse()" id="sidebarCollapse">
                        <i class="fa fa-bars text-white fa-lg"></i>
                    </button>
                </span>
            </div>
            <div class="sidebar-profile">
                <div class="user-pic">
                    <img class="img-responsive img-rounded" src="assets/lte/avatar1.png" alt="User picture">
                </div>
                <div class="user-info">
                    <span class="user-name">
                        <strong>{{ ttUsuario.cUserId }}</strong>
                    </span>
                    <span class="user-role">Sistemas</span>
                    <span class="user-status">
                        <i class="fas fa-circle mr-1 text-success"></i>
                        <span>Online</span>
                    </span>
                </div>
            </div>
            <div class="sidebar-search">
                <!-- <div>
                    <div class="input-group">
                        <input type="text" class="form-control search-menu" placeholder="Search...">
                        <div class="input-group-append">
                            <span class="input-group-text">
                                <i class="fa fa-search" aria-hidden="true"></i>
                            </span>
                        </div>
                    </div>
                </div> -->
            </div>
            <div class="sidebar-menu">
                <ul>
                    <li *ngFor="let menu of menuPos"
                        [ngClass]="{'active': menu.active, 'sidebar-dropdown': menu.type === 'dropdown', 'header-menu': menu.type === 'header'}">
                        <a href="#{{ menu.cRowID }}" data-toggle="collapse" aria-expanded="false" #val>
                            <!-- <i class="fas fa-circle mr-2"></i> -->
                            <span>{{ menu.cMenu }}</span>
                            <span class="badge badge-pill"><i class="fa fa-angle-down"></i></span>
                        </a>
                        <div class="sidebar-submenu">
                            <ul class="collapse list-unstyled list-child" [id]="menu.cRowID">
                                <li *ngFor="let submenu of menu.SubMenu">
                                    <ng-container *ngIf="!submenu.Opcion; else showOptions">
                                        <a class="ml-3" [routerLink]="[submenu.cPrograma]"
                                            (click)="sidebarCollapse()">{{ submenu.cSubMenu }}</a>
                                    </ng-container>
                                    <ng-template #showOptions>
                                        <a href="#{{ submenu.cRowID }}" class="ml-3" data-toggle="collapse"
                                            aria-expanded="false">
                                            {{ submenu.cSubMenu }}
                                            <i class="fa fa-angle-down float-right mr-2" *ngIf="submenu.Opcion"></i>
                                        </a>
                                        <ul class="collapse list-unstyled" [id]="submenu.cRowID">
                                            <li *ngFor="let opcion of submenu.Opcion">
                                                <a class="ml-5" [routerLink]="[opcion.cPrograma]"
                                                    (click)="sidebarCollapse()">{{ opcion.cOpcion }}</a>
                                            </li>
                                        </ul>
                                    </ng-template>
                                </li>
                            </ul>
                        </div>
                    </li>
                </ul>
            </div>
        </ng-container>
    </div>
    <div class="sidebar-footer">
        <!-- <div class="dropdown" dropdown>
            <a href="#" dropdownToggle>
                <i class="fa fa-bell"></i>
                <span class="badge badge-pill badge-warning notification">5</span>
            </a>
            <div class="dropdown-menu notifications" *dropdownMenu>
                <div class="notifications-header">
                    <i class="fa fa-bell"></i>
                    Notifications
                </div>
                <div class="dropdown-divider"></div>
                <a class="dropdown-item" href="#">
                    <div class="notification-content">
                        <div class="icon">
                            <i class="fas fa-check text-success border border-success"></i>
                        </div>
                        <div class="content">
                            <div class="notification-detail">Lorem ipsum dolor sit amet consectetur adipisicing
                                elit. In totam explicabo</div>
                            <div class="notification-time">
                                6 minutes ago
                            </div>
                        </div>
                    </div>
                </a>
                <a class="dropdown-item" href="#">
                    <div class="notification-content">
                        <div class="icon">
                            <i class="fas fa-exclamation text-info border border-info"></i>
                        </div>
                        <div class="content">
                            <div class="notification-detail">Lorem ipsum dolor sit amet consectetur adipisicing
                                elit. In totam explicabo</div>
                            <div class="notification-time">
                                Today
                            </div>
                        </div>
                    </div>
                </a>
                <a class="dropdown-item" href="#">
                    <div class="notification-content">
                        <div class="icon">
                            <i class="fas fa-exclamation-triangle text-warning border border-warning"></i>
                        </div>
                        <div class="content">
                            <div class="notification-detail">Lorem ipsum dolor sit amet consectetur adipisicing
                                elit. In totam explicabo</div>
                            <div class="notification-time">
                                Yesterday
                            </div>
                        </div>
                    </div>
                </a>
                <div class="dropdown-divider"></div>
                <a class="dropdown-item text-center" href="#">View all notifications</a>
            </div>
        </div>
        <div class="dropdown" dropdown>
            <a href="#" dropdownToggle>
                <i class="fa fa-envelope"></i>
                <span class="badge badge-pill badge-success notification">7</span>
            </a>
            <div class="dropdown-menu messages" *dropdownMenu>
                <div class="messages-header">
                    <i class="fa fa-envelope"></i>
                    Messages
                </div>
                <div class="dropdown-divider"></div>
                <a class="dropdown-item" href="#">
                    <div class="message-content">
                        <div class="pic">
                            <img src="assets/img/user.jpg" alt="">
                        </div>
                        <div class="content">
                            <div class="message-title">
                                <strong> Jhon doe</strong>
                            </div>
                            <div class="message-detail">Lorem ipsum dolor sit amet consectetur adipisicing
                                elit. In totam explicabo</div>
                        </div>
                    </div>

                </a>
                <a class="dropdown-item" href="#">
                    <div class="message-content">
                        <div class="pic">
                            <img src="assets/img/user.jpg" alt="">
                        </div>
                        <div class="content">
                            <div class="message-title">
                                <strong> Jhon doe</strong>
                            </div>
                            <div class="message-detail">Lorem ipsum dolor sit amet consectetur adipisicing
                                elit. In totam explicabo</div>
                        </div>
                    </div>

                </a>
                <a class="dropdown-item" href="#">
                    <div class="message-content">
                        <div class="pic">
                            <img src="assets/img/user.jpg" alt="">
                        </div>
                        <div class="content">
                            <div class="message-title">
                                <strong> Jhon doe</strong>
                            </div>
                            <div class="message-detail">Lorem ipsum dolor sit amet consectetur adipisicing
                                elit. In totam explicabo</div>
                        </div>
                    </div>
                </a>
                <div class="dropdown-divider"></div>
                <a class="dropdown-item text-center" href="#">View all messages</a>

            </div>
        </div>
        <div class="dropdown" dropdown>
            <a href="#" dropdownToggle>
                <i class="fa fa-cog"></i>
                <span class="badge-sonar"></span>
            </a>
            <div class="dropdown-menu" *dropdownMenu>
                <a class="dropdown-item" href="#">My profile</a>
                <a class="dropdown-item" href="#">Help</a>
                <a class="dropdown-item" href="#">Setting</a>
            </div>
        </div>
        <div>
            <a href="#">
                <i class="fa fa-power-off"></i>
            </a>
        </div> -->
    </div>
</nav>